Bug 735435 - pulp-admin repo list and info should show repo url
Summary: pulp-admin repo list and info should show repo url
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 15:48 UTC by Mike McCune
Modified: 2014-03-31 01:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:15:19 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-09-02 15:48:04 UTC
There is no way as a user to know the path to the repo on the pulp service itself after you create it.  You have to just know that they are found at:

https://somehost.example.com/pulp/repos/<id>/

the command 'distribution list' shows the URL to the tree:

$ pulp-admin distribution list
+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-kstree-noarch         
Description           	ks-kstree-noarch          
URL                   	https://localhost/pulp/ks/repo/f15-x86_64/


we should do the same for repos:

$ pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                 	kstree                   
Name               	kstree                   
Feed URL           	http://172.31.1.102/repo/f15-x86_64/
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	2935                     
Files              	0                        
Distributions      	ks-kstree-noarch         
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       
URL                     https://localhost/pulp/repo/f15-x86_64/

Comment 1 Mike McCune 2011-09-02 16:25:51 UTC
reminder from jdob: Make sure we take into consideration if the repo is hosted on a CDS

Comment 2 Jason Connor 2011-10-03 20:01:59 UTC
add repo['uri'] field that gets displayed as Repo URL in the admin cli.

Comment 3 Jeff Ortel 2011-10-13 00:49:13 UTC
build: 0.238

Comment 4 Preethi Thomas 2011-10-13 18:33:03 UTC
[root@preethi ~]# rpm -q pulp
pulp-0.0.238-1.fc15.noarch
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                 	f14                      
Name               	f14                      
Repo URL           	https://preethi.usersys.redhat.com/pulp/repos/released/F-14/GOLD/Fedora/x86_64/os/
Feed URL           	http://download.devel.redhat.com/released/F-14/GOLD/Fedora/x86_64/os
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	2766                     
Files              	0                        
Distributions      	ks-f14-noarch            
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       
Preserve Metadata  	False                     


[root@preethi ~]#

Comment 5 Preethi Thomas 2012-02-24 20:15:19 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 6 Preethi Thomas 2012-02-24 20:16:56 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.